Bug 1475207 - (CVE-2017-7000) CVE-2017-7000 chromium-browser: pointer disclosure in sqlite
CVE-2017-7000 chromium-browser: pointer disclosure in sqlite
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20170725,repor...
: Security
Depends On: 1478786 1475216 1475220 1475221 1478785 1478787
Blocks: 1475215
  Show dependency treegraph
 
Reported: 2017-07-26 04:05 EDT by Adam Mariš
Modified: 2017-08-07 01:28 EDT (History)
3 users (show)

See Also:
Fixed In Version: Chrome 60.0.3112.78
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1833 normal SHIPPED_LIVE Important: chromium-browser security update 2017-07-31 14:32:00 EDT

  None (edit)
Description Adam Mariš 2017-07-26 04:05:08 EDT
A pointer disclosure flaw was found in the SQLite component of the Chromium browser.

Upstream bug(s):

https://code.google.com/p/chromium/issues/detail?id=742407

External References:

https://chromereleases.googleblog.com/2017/07/stable-channel-update-for-desktop.html
Comment 1 Adam Mariš 2017-07-26 04:13:46 EDT
Created chromium tracking bugs for this issue:

Affects: fedora-all [bug 1475216]
Comment 3 errata-xmlrpc 2017-07-31 10:34:05 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2017:1833 https://access.redhat.com/errata/RHSA-2017:1833
Comment 5 Huzaifa S. Sidhpurwala 2017-08-07 01:19:03 EDT
The chromium bug is private, but looking at the commit:

https://chromium.googlesource.com/chromium/src.git/+/3bfe67c9c4b45eb713326aae7a67c8f7390dae08

Which leads to the upstream commit at:

https://www.sqlite.org/src/info/d6a44b352d432d52

It seems that this issue is not specific to chromium-browser, but affects versions of sqlite shipped with Red Hat Enterprise Linux and Fedora.

This flaw basically causes sqlite to leak the underlying memory location, when some operations are performed. This memory-address leak can be used by other (more severe) flaws to potentially result in code-execution.

The patch adds new API functions, "sqlite3_bind_pointer(), sqlite3_result_pointer(), and sqlite3_value_pointer() used to safely move pointer values through SQL without exposing underlying memory address information."

This patch is included in the  sqlite-3.20.0 release.

More details about the new API (interfaces) and how they can be used is available at:

https://www.sqlite.org/bindptr.html
Comment 6 Huzaifa S. Sidhpurwala 2017-08-07 01:24:31 EDT
Created sqlite tracking bugs for this issue:

Affects: fedora-all [bug 1478785]
Comment 7 Huzaifa S. Sidhpurwala 2017-08-07 01:25:59 EDT
Created sqlite2 tracking bugs for this issue:

Affects: fedora-all [bug 1478786]
Comment 8 Huzaifa S. Sidhpurwala 2017-08-07 01:26:44 EDT
Created mingw-sqlite tracking bugs for this issue:

Affects: fedora-all [bug 1478787]

Note You need to log in before you can comment on or make changes to this bug.